summaryrefslogtreecommitdiffstats
path: root/ubuntu/maverick/applications/kpowersave.cmake/debian/postrm
diff options
context:
space:
mode:
authorTimothy Pearson <kb9vqf@pearsoncomputing.net>2011-07-20 17:41:02 -0500
committerTimothy Pearson <kb9vqf@pearsoncomputing.net>2011-07-20 17:41:02 -0500
commit3c19a9ebc3392847a7bc39d5a3831c9d16baa307 (patch)
tree52cfa0d17f3eb57a87383d96e2dad215f8c8fcca /ubuntu/maverick/applications/kpowersave.cmake/debian/postrm
parentecb34e8dd2bad1e72eba5a63e8e2154eabb05e29 (diff)
downloadtde-packaging-3c19a9ebc3392847a7bc39d5a3831c9d16baa307.tar.gz
tde-packaging-3c19a9ebc3392847a7bc39d5a3831c9d16baa307.zip
Use Autotools to build kpowersave under ubuntu
Diffstat (limited to 'ubuntu/maverick/applications/kpowersave.cmake/debian/postrm')
-rw-r--r--ubuntu/maverick/applications/kpowersave.cmake/debian/postrm24
1 files changed, 24 insertions, 0 deletions
diff --git a/ubuntu/maverick/applications/kpowersave.cmake/debian/postrm b/ubuntu/maverick/applications/kpowersave.cmake/debian/postrm
new file mode 100644
index 000000000..4e8eda799
--- /dev/null
+++ b/ubuntu/maverick/applications/kpowersave.cmake/debian/postrm
@@ -0,0 +1,24 @@
+#! /bin/sh
+
+set -e
+
+package_name=kpowersave-trinity
+
+if [ -z "$package_name" ]; then
+ print >&2 "Internal Error. Please report a bug."
+ exit 1;
+fi
+
+case "$1" in
+ remove)
+ dpkg-divert --package $package_name --rename --remove /etc/acpi/powerbtn.sh
+ ;;
+ purge)
+ ;;
+ upgrade)
+ ;;
+ *) echo "$0: didn't understand being called with \`$1'" 1>&2
+ exit 0;;
+esac
+
+exit 0